Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind
Class PropertyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.bind.JAXBException
                        |
                        +--javax.xml.bind.PropertyException

All Implemented Interfaces:
  java.io.Serializable

public class PropertyException
extends JAXBException

This exception indicates that an error was encountered while getting or setting a property.

Since:
  JAXB1.0
Version:
  $Revision: 1.1 $ $Date: 2008/11/03 06:51:02 $
Author:
  - Ryan Shoemaker, Sun Microsystems, Inc.
  - Kohsuke Kawaguchi, Sun Microsystems, Inc.
  - Joe Fialli, Sun Microsystems, Inc.
See Also:
  `JAXBContext`, `Validator`, `Unmarshaller`, Serialized Form

Constructor Summary
`PropertyException(java.lang.String message)` Construct a PropertyException with the specified detail message.
`PropertyException(java.lang.String name, java.lang.Object value)` Construct a PropertyException whose message field is set based on the name of the property and value.toString().
`PropertyException(java.lang.String message, java.lang.String errorCode)` Construct a PropertyException with the specified detail message and vendor specific errorCode.
`PropertyException(java.lang.String message, java.lang.String errorCode, java.lang.Throwable exception)` Construct a PropertyException with the specified detail message, vendor specific errorCode, and linkedException.
`PropertyException(java.lang.String message, java.lang.Throwable exception)` Construct a PropertyException with the specified detail message and linkedException.
`PropertyException(java.lang.Throwable exception)` Construct a PropertyException with a linkedException.

Methods inherited from class javax.xml.bind.JAXBException
`getErrorCode, getLinkedException, printStackTrace, printStackTrace, printStackTrace, setLinkedException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyException

    public PropertyException(java.lang.String message)

  Construct a PropertyException with the specified detail message. The errorCode and linkedException will default to null.

Parameters:
  `message` - a description of the exception

### PropertyException

    public PropertyException(java.lang.String message,
                             java.lang.String errorCode)

  Construct a PropertyException with the specified detail message and vendor specific errorCode. The linkedException will default to null.

Parameters:
  `message` - a description of the exception
  `errorCode` - a string specifying the vendor specific error code

### PropertyException

    public PropertyException(java.lang.Throwable exception)

  Construct a PropertyException with a linkedException. The detail message and vendor specific errorCode will default to null.

Parameters:
  `exception` - the linked exception

### PropertyException

    public PropertyException(java.lang.String message,
                             java.lang.Throwable exception)

  Construct a PropertyException with the specified detail message and linkedException. The errorCode will default to null.

Parameters:
  `message` - a description of the exception
  `exception` - the linked exception

### PropertyException

    public PropertyException(java.lang.String message,
                             java.lang.String errorCode,
                             java.lang.Throwable exception)

  Construct a PropertyException with the specified detail message, vendor specific errorCode, and linkedException.

Parameters:
  `message` - a description of the exception
  `errorCode` - a string specifying the vendor specific error code
  `exception` - the linked exception

### PropertyException

    public PropertyException(java.lang.String name,
                             java.lang.Object value)

  Construct a PropertyException whose message field is set based on the name of the property and value.toString().

Parameters:
  `name` - the name of the property related to this exception
  `value` - the value of the property related to this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Comments to: jaxb-spec-comments@sun.com
More information at: http://java.sun.com/xml/jaxb

Copyright © 2001 by Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.